passwordbasedauthentication_tests.c File Reference
`#include "authutils.h"`
`#include "passwordbasedauthentication.c"`
`#include <cgreen/cgreen.h>`
`#include <cgreen/mocks.h>`
`#include <string.h>`

## Functions

| Describe (PBA)
| BeforeEach (PBA)
| AfterEach (PBA)
| Ensure (PBA, returns_false_on_not_phc_compliant_setting)
| Ensure (PBA, returns_true_on_phc_compliant_setting)
| Ensure (PBA, returns_NULL_on_unsupport_settings)
| Ensure (PBA, unique_hash_without_adding_used_pepper)
| Ensure (PBA, verify_hash)
| Ensure (PBA, verify_hash_returns_invalid_on_np_hash_np_password)
| Ensure (PBA, defaults)
| Ensure (PBA, initialization)
| Ensure (PBA, handle_md5_hash)
int | main (int argc, char **argv)

## Function Documentation

## AfterEach()

AfterEach | ( | PBA |  | ) |

## BeforeEach()

BeforeEach | ( | PBA |  | ) |

## Describe()

Describe | ( | PBA |  | ) |

## Ensure() [1/9]

Ensure | ( | PBA | ,
|  | defaults |
| ) |  |

## Ensure() [2/9]

Ensure | ( | PBA | ,
|  | handle_md5_hash |
| ) |  |

## Ensure() [3/9]

Ensure | ( | PBA | ,
|  | initialization |
| ) |  |

## Ensure() [4/9]

Ensure | ( | PBA | ,
|  | returns_false_on_not_phc_compliant_setting |
| ) |  |

## Ensure() [5/9]

Ensure | ( | PBA | ,
|  | returns_NULL_on_unsupport_settings |
| ) |  |

## Ensure() [6/9]

Ensure | ( | PBA | ,
|  | returns_true_on_phc_compliant_setting |
| ) |  |

## Ensure() [7/9]

Ensure | ( | PBA | ,
|  | unique_hash_without_adding_used_pepper |
| ) |  |

## Ensure() [8/9]

Ensure | ( | PBA | ,
|  | verify_hash |
| ) |  |

## Ensure() [9/9]

Ensure | ( | PBA | ,
|  | verify_hash_returns_invalid_on_np_hash_np_password |
| ) |  |

## main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |